/*------------------------------------------------------------------------------
 Copyright:      Markus Kotschenreuther
 Author:         Markus Kotschenreuther
 Remarks:        
 known Problems: none
 Version:        25.02.2009
 Description:    Digital IOs Abfragen / Setzen

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/

#ifndef _DIGIO_H_
	#define _DIGIO_H_	

	#include <avr/io.h>

	extern void DigIO_Init(void);
	
	extern void SetChannel(unsigned short port, unsigned short pin, unsigned short value);
	extern unsigned int GetDirectChannel(unsigned short port, unsigned short pin);

#endif //_DIGIO_H_






