/*------------------------------------------------------------------------------
 Copyright:      Markus Kotschenreuther
 Author:         Markus Kotschenreuther
 Remarks:        
 known Problems: none
 Version:        25.02.2009
 Description:    standard defines

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/

#ifndef _STD_DEFS_H_
	#define _STD_DEFS_H_	
	
// IOs
// ---------------------------------
//  PortA = 1 ... PortD = 4
//  Symbolic Name   (Port, Pin)

	#define DO_XCLR		4,5
	#define DO_MCLK		4,7

	// digital status
	#define FINISHED	2
	#define ONGOING		2
	#define ON   		1
	#define OFF  		0
	#define TRUE   		1
	#define FALSE  		0

	#define RESET() {asm("ldi r30,0"); asm("ldi r31,0"); asm("ijmp");}
#endif //_STD_DEFS_H_






